Saltar al contingut principal
GET
/
v1
/
organizations
/
{organization_id}
/
operations
Llistar operacions d'una organització
curl --request GET \
  --url https://api.flexxible.net/v1/organizations/{organization_id}/operations \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.flexxible.net/v1/organizations/{organization_id}/operations"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.flexxible.net/v1/organizations/{organization_id}/operations', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{ "has_next": true, "data": [ { "id": "64f0c2a1b2d3e4f506070811", "organization_id": "507f1f77bcf86cd799439022", "name": "remote_assistance", "description": "Remote assistance operation", "status": "finished", "created_at": "2026-03-10T09:11:45Z", "started_at": "2026-03-10T09:12:00Z", "ended_at": "2026-03-10T09:15:17Z", "microservice_id": "64f0c2a1b2d3e4f506070833", "flow_id": "64f0c2a1b2d3e4f506070844", "remote_support": { "start_date": "2026-03-10T09:12:00Z", "end_date": "2026-03-10T09:15:17Z", "type": "unattended" } } ] }

Autoritzacions

Authorization
string
header
requerit

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Paràmetres de ruta

organization_id
string
requerit

Identificador de l'organització.

Required string length: 24
Pattern: ^[0-9a-f]{24}$

Paràmetres de consulta

page
integer
predeterminat:1

Número de pàgina.

Rang requerit: x >= 1
per_page
integer
predeterminat:100

Número d'elements per pàgina.

Rang requerit: 1 <= x <= 100
fields
string

Camps de resposta separats per comes per a cada element.

Maximum string length: 2048
filters
string

Expressió JSON de filtres sobre camps filtrables del recurs.

Maximum string length: 5120
sort
string

Expressió d'ordenació amb el format :asc|desc. En mode agregat, només accepta camps de group_by o àlies agregats (count, <function>_<field>).

Pattern: ^([a-z_]+):(asc|desc)$
aggregate
string

Expressió JSON per a agregació. Estructura: {"group_by":["field"],"aggregates":[{"field":"*","function":"count"}]}. No es pot combinar amb fields.

Maximum string length: 1024

Resposta

Operacions recuperades correctament.

has_next
boolean
requerit

Indica si existeix una pàgina següent.

data
object[]
requerit